Page MenuHome

Mantaflow cache doesn't work with non-latin cache directory
Closed, ResolvedPublic

Description

System Information
Operating system: Linux-4.15.0-72-generic-x86_64 Ubuntu 18.04 64 Bits
Graphics card: GeForce GTX 1070/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 435.21

Blender Version
Broken: version: 2.82 (sub 6), branch: master, commit date: 2019-12-27 20:38, hash: rBc2a37867f21b

Short description of error
Mantaflow cache doesn't work with non-latin cache directory

Preview type works. Final and modular - not.

Then pressing bake - writes crash file on each frame, but Blender does not crash:

//cache_fluid/data keeps empty.

Exact steps for others to reproduce the error
Tested on Object - Quick Effects - Quick smoke on default cube.

Event Timeline

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Needs Information from User.Jan 9 2020, 5:49 PM

I cannot reproduce this with the current development versions of Blender:

Please try the latest daily build: https://builder.blender.org/download/

Go to File → Defaults → Load Factory Settings and then load your file to see if you still can reproduce this issue.
If the problem persists, please give us more clear instructions on how to reproduce it from scratch.

Test file


I cannot reproduce this with the current development versions of Blender:

Problem appears only on 18.04, in Ubuntu 19.10 have not this issue.

Michael Soluyanov (crantisz) closed this task as Resolved.EditedJan 10 2020, 8:03 AM
Michael Soluyanov (crantisz) claimed this task.

@Germano Cavalcante (mano-wii), in this situation, should I change status to "Needs Developer to Reproduce"?

Ops! Accidentally changed the status, can you fix it?

Germano Cavalcante (mano-wii) reopened this task as Needs Triage.Jan 10 2020, 12:07 PM

Needs another look...

Jacques Lucke (JacquesLucke) changed the task status from Needs Triage to Needs Information from User.Jan 14 2020, 1:37 PM

Can you provide a simple bullet list with the steps required to reproduce the issue in this file?
Also, it would be nice if you could simplify the file a bit more so that it bakes faster. It should really be as simple as possible. Is it necessary that there are two domains?
I'm not even sure if two domains are fully supported currently.

Can you provide a simple bullet list with the steps required to reproduce the issue in this file?
Also, it would be nice if you could simplify the file a bit more so that it bakes faster. It should really be as simple as possible. Is it necessary that there are two domains?
I'm not even sure if two domains are fully supported currently.

  1. Open file
  2. Press bake data
  3. Smoke doesn't appear after baking
Jacques Lucke (JacquesLucke) changed the task status from Needs Information from User to Needs Triage.Jan 14 2020, 2:44 PM

I don't have the issue, but I'm also on Ubuntu 19.10. Someone else with Ubuntu 18.04 has to try it.

@Jacques Lucke (JacquesLucke) If problem appears only on Ubuntu 18.04, what is the chance of this actually being issue in Blender?

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Needs Developer to Reproduce.Jan 21 2020, 1:07 AM
Sebastián Barschkis (sebbas) changed the task status from Needs Developer to Reproduce to Confirmed.Jan 23 2020, 11:02 AM

Testing on Ubuntu 18.04.3 with build from buildbot (ca7bd3f1c341) and first did not have any problems either. However, when using Cyrillic letters in the cache path (as @Michael Soluyanov (crantisz) did in the video) I am also not able to bake.

However, when using Cyrillic letters in the cache path (as @Michael Soluyanov (crantisz) did in the video) I am also not able to bake.

Yes that is it, non-latin letters in cache directory, confim.

Michael Soluyanov (crantisz) renamed this task from Mantaflow cashe doesn't work to Mantaflow cache doesn't work with non-latin cache directory .Jan 23 2020, 11:30 AM
Michael Soluyanov (crantisz) updated the task description. (Show Details)

This bug was actually unrelated to the OS. It was a UTF / Latin1 conversion issue in Manta itself.